curl --request POST \
--url https://api.chainstack.com/v1/networks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "PR-123-456",
"protocol": "ethereum",
"configuration": {
"network": "ethereum-mainnet"
},
"nodes": [
{
"name": "My Ethereum node",
"type": "dedicated",
"role": "peer",
"provider": "gcloud",
"region": "asia-southeast1",
"configuration": {
"archive": true
}
}
]
}
'{
"id": "NW-123-456-7",
"name": "Mainnet",
"project": "PR-123-456",
"protocol": "ethereum",
"configuration": {
"network": "ethereum-mainnet"
},
"details": {},
"status": "ok",
"nodes": [
{
"id": "ND-123-456-789",
"name": "My Ethereum node",
"network": "NW-123-456-7",
"organization": "RG-123-456",
"type": "dedicated",
"role": "peer",
"provider": "gcloud",
"region": "asia-southeast1",
"status": "running",
"configuration": {
"archive": true
},
"details": {
"mode": "archive",
"version": "1.9.9",
"api_namespaces": [
"net",
"eth",
"web3",
"txpool",
"debug"
],
"graphql_endpoint": "https://nd-123-456-789.p2pify.com/graphql",
"https_endpoint": "https://nd-123-456-789.p2pify.com",
"wss_endpoint": "wss://ws-nd-123-456-789.p2pify.com",
"beacon_endpoint": "https://beacon-nd-123-456-789.p2pify.com",
"auth_username": "user-name",
"auth_password": "pass-word-pass-word-pass-word",
"auth_key": "3c6e0b8a9c15224a8228b9a98ca1531d"
},
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "john.smith@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}
],
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "john.smith@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}Network
Create a network with the Chainstack Platform API
Create a new blockchain network in a Chainstack project using the Platform API. Send a POST request to /v1/networks/ with the network configuration.
POST
/
v1
/
networks
/
curl --request POST \
--url https://api.chainstack.com/v1/networks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "PR-123-456",
"protocol": "ethereum",
"configuration": {
"network": "ethereum-mainnet"
},
"nodes": [
{
"name": "My Ethereum node",
"type": "dedicated",
"role": "peer",
"provider": "gcloud",
"region": "asia-southeast1",
"configuration": {
"archive": true
}
}
]
}
'{
"id": "NW-123-456-7",
"name": "Mainnet",
"project": "PR-123-456",
"protocol": "ethereum",
"configuration": {
"network": "ethereum-mainnet"
},
"details": {},
"status": "ok",
"nodes": [
{
"id": "ND-123-456-789",
"name": "My Ethereum node",
"network": "NW-123-456-7",
"organization": "RG-123-456",
"type": "dedicated",
"role": "peer",
"provider": "gcloud",
"region": "asia-southeast1",
"status": "running",
"configuration": {
"archive": true
},
"details": {
"mode": "archive",
"version": "1.9.9",
"api_namespaces": [
"net",
"eth",
"web3",
"txpool",
"debug"
],
"graphql_endpoint": "https://nd-123-456-789.p2pify.com/graphql",
"https_endpoint": "https://nd-123-456-789.p2pify.com",
"wss_endpoint": "wss://ws-nd-123-456-789.p2pify.com",
"beacon_endpoint": "https://beacon-nd-123-456-789.p2pify.com",
"auth_username": "user-name",
"auth_password": "pass-word-pass-word-pass-word",
"auth_key": "3c6e0b8a9c15224a8228b9a98ca1531d"
},
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "john.smith@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}
],
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "john.smith@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}Authorizations
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'
All API requests must be made over HTTPS.
Body
application/json
Protocol.
See also Supported protocols.
Available options:
ethereum, polygon-pos, bsc, avalanche, arbitrum, near, aurora, gnosis, cronos, fantom, starknet, tezos, fuse, bitcoin Response
Protocol.
See also Supported protocols.
Available options:
ethereum, polygon-pos, bsc, avalanche, arbitrum, near, aurora, gnosis, cronos, fantom, starknet, tezos, fuse, bitcoin See more about statuses.
Available options:
pending, ok, failed, warning, stopping, stopped, starting Last modified on May 4, 2026
Was this page helpful?